package com.yc.ship.module.ota.controller.admin.distributoraudit.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 分销商授信提额/授信充值/余额充值分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DistributorAuditPageReqVO extends PageParam {

    @Schema(description = "类型 1-1 1-2.余额，2-1 2-2.授信充正，3-1 3-2.授信提额", example = "2")
    private String type;

    @Schema(description = "分销商ID", example = "25405")
    private Long distributorId;

    @Schema(description = "操作类型 1.余额，2.授信充正，3.授信提额", example = "1")
    private Integer operateType;

    @Schema(description = "变更类型 1.增加、2.减少")
    private Integer operateMode;

    @Schema(description = "金额（提升额度/充值额度）")
    private BigDecimal amount;

    @Schema(description = "申请人")
    private Long applyUser;

    @Schema(description = "申请用户名", example = "王五")
    private String applyUserName;

    @Schema(description = "申请时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] applyTime;

    @Schema(description = "状态 0.申请中，1.审核通过，2.审核驳回", example = "1")
    private Integer status;

    @Schema(description = "审核人")
    private Long auditUser;

    @Schema(description = "审核用户名", example = "李四")
    private String auditUserName;

    @Schema(description = "审核时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] auditTime;

    @Schema(description = "充值备注", example = "随便")
    private String applyRemark;

    @Schema(description = "审核备注", example = "你说的对")
    private String auditRemark;

    @Schema(description = "流水号")
    private String serialNum;

    @Schema(description = "充值单号ID", example = "11360")
    private String rechargeLogId;

    @Schema(description = "附件地址", example = "https://www.iocoder.cn")
    private String fileUrl;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
