package com.yc.ship.module.ota.controller.admin.password.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 操作密码 Response VO")
@Data
@ExcelIgnoreUnannotated
public class OperatePasswordRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "5958")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "用户ID", example = "4075")
    @ExcelProperty("用户ID")
    private Long userId;

    @Schema(description = "密码类型", example = "1")
    @ExcelProperty("密码类型")
    private Integer type;

    @Schema(description = "密码")
    @ExcelProperty("密码")
    private String password;

    @Schema(description = "状态0-禁用，1-启用", example = "1")
    @ExcelProperty("状态0-禁用，1-启用")
    private Integer status;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}