package com.yc.ship.module.ota.dal.dataobject.distributorselfrecharge;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sun.xml.bind.v2.TODO;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 自助充值明细 DO
 *
 * @author 管理员
 */
@TableName("ota_distributor_self_recharge")
@KeySequence("ota_distributor_self_recharge_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DistributorSelfRechargeDO extends TenantBaseDO {

    /**
     * 自助充值记录ID
     */
    @TableId
    private Long id;
    /**
     * 分销商ID
     */
    private Long distributorId;
    /**
     * 操作人ID
     */
    private Long accountId;
    /**
     * 操作人名称
     */
    private String accountName;
    /**
     * 充值单号
     */
    private String rechargeNo;
    /**
     * 充值金额
     */
    private BigDecimal money;
    /**
     * 支付方式：1.微信 2.支付宝 3.云闪付 4.银行卡
     */
    private Integer payType;
    /**
     * 卡号
     */
    private String icCard;
    /**
     * 充值状态，-1.充值失败，0.新充值订单，1.充值成功
     * <p>
     * 枚举 {@link TODO ota_recharge_state 对应的类}
     */
    private Integer rechargeState;
    /**
     * 充值记录ID
     */
    private String rechargeLogId;
    /**
     * 支付平台订单号
     */
    private String payOrderId;

}
