package com.yc.ship.module.ota.dal.dataobject.password;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 操作密码 DO
 *
 * @author 管理员
 */
@TableName("operate_password")
@KeySequence("operate_password_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OperatePasswordDO extends TenantBaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 密码类型
     */
    private Integer type;
    /**
     * 密码
     */
    private String password;
    /**
     * 状态0-禁用，1-启用
     */
    private Integer status;

}