package com.yc.ship.module.ota.service.distributorselfrecharge;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.ota.controller.admin.distributorselfrecharge.vo.DistributorSelfRechargePageReqVO;
import com.yc.ship.module.ota.controller.admin.distributorselfrecharge.vo.DistributorSelfRechargeSaveReqVO;
import com.yc.ship.module.ota.controller.admin.distributorselfrecharge.vo.DistributorSelfRechargeSimpleRespVO;
import com.yc.ship.module.ota.dal.dataobject.distributorselfrecharge.DistributorSelfRechargeDO;

import javax.validation.Valid;

/**
 * 自助充值明细 Service 接口
 *
 * @author 管理员
 */
public interface DistributorSelfRechargeService {

    /**
     * 创建自助充值明细
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    DistributorSelfRechargeSimpleRespVO createDistributorSelfRecharge(@Valid DistributorSelfRechargeSaveReqVO createReqVO);

    /**
     * 更新自助充值明细
     *
     * @param updateReqVO 更新信息
     */
    void updateDistributorSelfRecharge(@Valid DistributorSelfRechargeSaveReqVO updateReqVO);

    /**
     * 删除自助充值明细
     *
     * @param id 编号
     */
    void deleteDistributorSelfRecharge(Long id);

    /**
     * 获得自助充值明细
     *
     * @param id 编号
     * @return 自助充值明细
     */
    DistributorSelfRechargeDO getDistributorSelfRecharge(Long id);

    /**
     * 获得自助充值明细分页
     *
     * @param pageReqVO 分页查询
     * @return 自助充值明细分页
     */
    PageResult<DistributorSelfRechargeDO> getDistributorSelfRechargePage(DistributorSelfRechargePageReqVO pageReqVO);

    Long distributorSelfRecharge(Long id, String payOrderId, Integer payStatus);
    Long distributorCMBRecharge(Long id, String payOrderId, Integer payStatus);
}
