package com.yc.ship.module.otc.api.agency.dto;


import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Schema(description = "RPC 服务 - 旅行社用户登录信息Request DTO")
@Data
public class CooperateRespDTO implements Serializable {

    /**
     * 合作旅行社ID
     */
    @Schema(description = "合作旅行社ID", example = "")
    private Long id;
    /**
     * 合作旅行社名称
     */
    @Schema(description = "合作旅行社名称", example = "")
    private String name;
    /**
     * 联系人姓名
     */
    @Schema(description = "联系人姓名", example = "")
    private String contactPerson;
    /**
     * 联系电话
     */
    @Schema(description = "联系电话", example = "")
    private String contactPhone;
    /**
     * 联系地址
     */
    @Schema(description = "联系地址", example = "")
    private String contactAddress;
    /**
     * 所属区域
     */
    @Schema(description = "所属区域", example = "")
    private String region;
    /**
     * 合作开始日期
     */
    @Schema(description = "合作开始日期", example = "")
    private LocalDateTime startDate;
    /**
     * 合作结束日期
     */
    @Schema(description = "合作结束日期", example = "")
    private LocalDateTime endDate;
    /**
     * 合同
     */
    @Schema(description = "合同", example = "")
    private String contractUrl;
    /**
     * 单位地址
     */
    @Schema(description = "单位地址", example = "")
    private String unitAddress;
    /**
     * 开户行地址
     */
    @Schema(description = "开户行地址", example = "")
    private String backAddress;
    /**
     * 银行账户
     */
    @Schema(description = "银行账户", example = "")
    private String backAccount;
    /**
     * 税号
     */
    @Schema(description = "税号", example = "")
    private String taxNumber;
    /**
     * 电话
     */
    @Schema(description = "电话", example = "")
    private String phone;
    /**
     * 联行号
     */
    @Schema(description = "联行号", example = "")
    private String interbankNumber;


}