package com.yc.ship.module.otc.api.link;

import com.yc.ship.framework.common.pojo.CommonResult;
import com.yc.ship.module.otc.api.link.dto.LinkRespDTO;
import com.yc.ship.module.otc.enums.ApiConstants;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;

import javax.annotation.security.PermitAll;

/**
 * @author ：yaochao
 * @description ：TODO
 * @date ：2024/8/7 13:40
 */
@Tag(name = "RPC 服务 - 链接")
public interface LinkApi {

    String PREFIX = ApiConstants.PREFIX + "/link";

    /**
     * 根据linkId获取链接
     *
     * @param id
     * @return
     */
    @PermitAll
    @Operation(summary = "根据linkId获取链接")
    CommonResult<LinkRespDTO> getLinkById(Long id);

}
