package com.yc.ship.module.otc.controller.admin.link.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 链接管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class LinkRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "9914")
    private Long id;

    @Schema(description = "链接名称", example = "王五")
    @ExcelProperty("链接名称")
    private String linkName;

    @Schema(description = "链接类型 1.门店码 2.售票员码")
    @ExcelProperty("链接类型 1.门店码 2.售票员码")
    @DictFormat("otc_link_type") // TODO 代码优化：建议设置到对应的 DictTypeConstants 枚举类中
    private Integer type;

    @Schema(description = "小程序码链接")
    @ExcelProperty("小程序码链接")
    private String url;

    @Schema(description = "小程序码链接地址")
    @ExcelProperty("小程序码链接地址")
    private String linkUrl;

    @Schema(description = "公告")
    @ExcelProperty("公告")
    private String content;

    @Schema(description = "是否多选 0.否 1.是")
    private Integer isMultiple;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "关联ID")
    private Long checkedValue;

    @Schema(description = "关联ID集合")
    private List<Long> checkedValues;
}
