package com.yc.ship.module.otc.controller.admin.store.product;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 门店设备产品关联 Response VO")
@Data
@ExcelIgnoreUnannotated
public class StoreProductRespVO {

    @Schema(description = "关联产品ID", example = "3053")
    @ExcelProperty("关联产品ID")
    private Long id;

    @Schema(description = "门店ID", example = "3053")
    @ExcelProperty("门店ID")
    private Long storeId;

    @Schema(description = "产品ID", example = "1217")
//    @ExcelProperty("产品ID")
    private Long productId;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Long isUse;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "产品名称", example = "1217")
    @ExcelProperty("产品名称")
    private String productName;
}
