package com.yc.ship.module.otc.controller.admin.store.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店平台授信 新增/修改 Request VO")
@Data
public class StorePlatCreditSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29621")
    private Long id;

    @Schema(description = "旅行社id", requiredMode = Schema.RequiredMode.REQUIRED, example = "29621")
    private Long distributorId;

    @Schema(description = "门店ID", example = "28")
    private Long storeId;

    @Schema(description = "金额类型 1.增加、2.减少", example = "2")
    private Integer operateMode;

    @Schema(description = "金额")
    private BigDecimal amount;

    @Schema(description = "充值备注", example = "你猜")
    private String remark;



}
