package com.yc.ship.module.otc.controller.admin.storeaudit.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.Max;
import java.math.BigDecimal;
import java.time.LocalDateTime;

@Schema(description = "管理后台 - 旅行社门店授信提额/授信充值/余额充值新增/修改 Request VO")
@Data
public class StoreAuditSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "29621")
    private Long id;

    @Schema(description = "旅行社ID", example = "28")
    private Long distributorId;
    @Schema(description = "门店ID", example = "28")
    private Long storeId;

    @Schema(description = "操作类型 1.余额，2.授信充正，3.授信提额", example = "2")
    private Integer operateType;

    @Schema(description = "金额类型 1.增加、2.减少", example = "2")
    private Integer operateMode;

    @Schema(description = "充值类型 ，0充值 、1分配", example = "2")
    private Integer rechargeDistributeType;

    @Schema(description = "金额（提升额度/充值额度）")
    @Max(value = 99999999)
    private BigDecimal amount;

    @Schema(description = "申请人")
    private Long applyUser;

    @Schema(description = "申请用户名", example = "王五")
    private String applyUserName;

    @Schema(description = "申请时间")
    private LocalDateTime applyTime;

    @Schema(description = "状态 0.申请中，1.审核通过，2.审核驳回", example = "2")
    private Integer status;

    @Schema(description = "审核人")
    private Long auditUser;

    @Schema(description = "审核用户名", example = "王五")
    private String auditUserName;

    @Schema(description = "审核时间")
    private LocalDateTime auditTime;

    @Schema(description = "充值备注", example = "你猜")
    private String applyRemark;

    @Schema(description = "审核备注", example = "你说的对")
    private String auditRemark;

    @Schema(description = "充值流水号", example = "8841")
    private String serialNum;

    @Schema(description = "充值单号ID", example = "8841")
    private Long rechargeLogId;

    @Schema(description = "附件地址", example = "https://www.iocoder.cn")
    private String fileUrl;

}
