package com.yc.ship.module.otc.controller.admin.storeplatcreditlog.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 旅行社门店平台授信额度变更分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class StorePlatCreditLogPageReqVO extends PageParam {

    @Schema(description = "门店ID", example = "12190")
    private Long storeId;

    @Schema(description = "门店名称", example = "李四")
    private String storeName;

    @Schema(description = "变更前额度")
    private BigDecimal beforeCredit;

    @Schema(description = "变更后额度")
    private BigDecimal afterCredit;

    @Schema(description = "变更金额")
    private BigDecimal creditAmount;

    @Schema(description = "变更类型 1.增加、2.减少")
    private Integer creditMode;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "额度变更时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    private Long tenantId;

}