package com.yc.ship.module.otc.controller.admin.storeplatcreditlog.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Schema(description = "管理后台 - 旅行社门店平台授信额度变更新增/修改 Request VO")
@Data
public class StorePlatCreditLogSaveReqVO {

    @Schema(description = "额度变更ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "18808")
    private Long id;

    @Schema(description = "旅行社ID", example = "12190")
    private Long distributorId;

    @Schema(description = "门店ID", example = "12190")
    private Long storeId;

    @Schema(description = "变更额度名称", example = "李四")
    private String creditName;

    @Schema(description = "变更前额度")
    private BigDecimal beforeCredit;

    @Schema(description = "变更后额度")
    private BigDecimal afterCredit;

    @Schema(description = "变更金额")
    private BigDecimal creditAmount;

    @Schema(description = "变更类型 1.增加、2.减少")
    private Integer creditMode;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

}