package com.yc.ship.module.otc.dal.dataobject.log;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

/**
 * 旅行社信息登录记录 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_login_log")
@KeySequence("otc_agency_login_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AgencyLoginLogDO extends TenantBaseDO {

    /**
     * 主键（与平台租户ID一致）
     */
    @TableId
    private Long id;
    /**
     * 旅行社
     */
    private Long agencyId;
    /**
     * 旅行社名称
     */
    private String agencyName;
    /**
     * 门店ID
     */
    private Long storeId;
    /**
     * 门店名称
     */
    private String storeName;
    /**
     * 设备ID
     */
    private Long machineId;
    /**
     * 设备名称
     */
    private String machineName;
    /**
     * 登录令牌
     */
    private String accessToken;
    /**
     * 用户ID
     */
    private Long userId;

}