package com.yc.ship.module.otc.dal.dataobject.store;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.tenant.core.db.TenantBaseDO;
import lombok.*;

import java.math.BigDecimal;

/**
 * 旅行社门店 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_store")
@KeySequence("otc_agency_store_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreDO extends TenantBaseDO {

    /**
     * 旅行社门店表主键ID
     */
    @TableId
    private Long id;
    /**
     * 门店编码
     */
    private String storeCode;
    /**
     * 门店名称
     */
    private String storeName;
    /**
     * 联系电话
     */
    private String tel;
    /**
     * 启用状态 0否 1是
     */
    private Integer isUse;
    /**
     * 门店介绍
     */
    private String storeIntroduction;
    /**
     * 排序号
     */
    private Integer sortNum;


    private String cmbShortNo;

    /**
     * 审核状态 0待审核 1同意 2拒绝
     */
    private Integer auditStatus;

    private String fileUrl;
    private String imageUrl;
    @TableField(exist = false)
    private BigDecimal balance;

    /**
     * 旅行社ID
     */
    private Long agencyId;
}
