package com.yc.ship.module.otc.dal.dataobject.storescheduling;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

/**
 * 班次售票员 DO
 *
 * @author 管理员
 */
@TableName("otc_agency_store_scheduling_user")
@KeySequence("otc_agency_store_scheduling_user_seq")
// 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StoreSchedulingUserDO extends BaseDO {

    /**
     * 班次表ID
     */
    @TableId
    private Long id;
    /**
     * 用户ID
     */
    private Long userId;
    /**
     * 门市表ID
     */
    private Long schedulingId;

}
