package com.yc.ship.module.otc.service.cooperate;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.cooperate.vo.CooperatePageReqVO;
import com.yc.ship.module.otc.controller.admin.cooperate.vo.CooperateSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.cooperate.CooperateDO;

import javax.validation.Valid;

/**
 * 合作旅行社 Service 接口
 *
 * @author 管理员
 */
public interface CooperateService {

    /**
     * 创建合作旅行社
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createCooperate(@Valid CooperateSaveReqVO createReqVO);

    /**
     * 更新合作旅行社
     *
     * @param updateReqVO 更新信息
     */
    void updateCooperate(@Valid CooperateSaveReqVO updateReqVO);

    /**
     * 删除合作旅行社
     *
     * @param id 编号
     */
    void deleteCooperate(Long id);

    /**
     * 获得合作旅行社
     *
     * @param id 编号
     * @return 合作旅行社
     */
    CooperateDO getCooperate(Long id);

    /**
     * 获得合作旅行社分页
     *
     * @param pageReqVO 分页查询
     * @return 合作旅行社分页
     */
    PageResult<CooperateDO> getCooperatePage(CooperatePageReqVO pageReqVO);

}
