package com.yc.ship.module.otc.service.storeaudit;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.storeaudit.vo.StoreAuditPageReqVO;
import com.yc.ship.module.otc.controller.admin.storeaudit.vo.StoreAuditRespVO;
import com.yc.ship.module.otc.controller.admin.storeaudit.vo.StoreAuditSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.storeaudit.StoreAuditDO;

import javax.validation.Valid;

/**
 * 旅行社门店授信提额/授信充值/余额充值 Service 接口
 *
 * @author 管理员
 */
public interface StoreAuditService {

    /**
     * 创建旅行社门店授信提额/授信充值/余额充值
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreAudit(@Valid StoreAuditSaveReqVO createReqVO);

    /**
     * 更新旅行社门店授信提额/授信充值/余额充值
     *
     * @param updateReqVO 更新信息
     */
    Long updateStoreAudit(@Valid StoreAuditSaveReqVO updateReqVO);

    /**
     * 删除旅行社门店授信提额/授信充值/余额充值
     *
     * @param id 编号
     */
    void deleteStoreAudit(Long id);

    /**
     * 获得旅行社门店授信提额/授信充值/余额充值
     *
     * @param id 编号
     * @return 旅行社门店授信提额/授信充值/余额充值
     */
    StoreAuditDO getStoreAudit(Long id);

    /**
     * 获得旅行社门店授信提额/授信充值/余额充值分页
     *
     * @param pageReqVO 分页查询
     * @return 旅行社门店授信提额/授信充值/余额充值分页
     */
    PageResult<StoreAuditDO> getStoreAuditPage(StoreAuditPageReqVO pageReqVO);

    PageResult<StoreAuditRespVO> getPlatStoreAuditPage(StoreAuditPageReqVO pageReqVO);
}
