package com.yc.ship.module.otc.service.storecreditlog;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.module.otc.controller.admin.storecreditlog.vo.StoreCreditLogPageReqVO;
import com.yc.ship.module.otc.controller.admin.storecreditlog.vo.StoreCreditLogSaveReqVO;
import com.yc.ship.module.otc.dal.dataobject.storecreditlog.StoreCreditLogDO;

import javax.validation.Valid;

/**
 * 旅行社门店授信额度变更 Service 接口
 *
 * @author 管理员
 */
public interface StoreCreditLogService {

    /**
     * 创建旅行社门店授信额度变更
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createStoreCreditLog(@Valid StoreCreditLogSaveReqVO createReqVO);

    /**
     * 更新旅行社门店授信额度变更
     *
     * @param updateReqVO 更新信息
     */
    void updateStoreCreditLog(@Valid StoreCreditLogSaveReqVO updateReqVO);

    /**
     * 删除旅行社门店授信额度变更
     *
     * @param id 编号
     */
    void deleteStoreCreditLog(Long id);

    /**
     * 获得旅行社门店授信额度变更
     *
     * @param id 编号
     * @return 旅行社门店授信额度变更
     */
    StoreCreditLogDO getStoreCreditLog(Long id);

    /**
     * 获得旅行社门店授信额度变更分页
     *
     * @param pageReqVO 分页查询
     * @return 旅行社门店授信额度变更分页
     */
    PageResult<StoreCreditLogDO> getStoreCreditLogPage(StoreCreditLogPageReqVO pageReqVO);

}
