package com.yc.ship.module.resource.controller.admin.category.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Schema(description = "管理后台 - 资源分类列表 Request VO")
@Data
public class CategoryListReqVO {

    @Schema(description = "父级分类ID", example = "0")
    private Long parentId;

    @Schema(description = "名称，模糊匹配", example = "慧旅")
    private String cateName;

    @Schema(description = "状态", example = "1")
    private Integer useStatus;

    @Schema(description = "类型;0资源分类 1产品分类 2.小程序产品", example = "1")
    private Integer type;

    @Schema(description = "租户id", example = "1")
    private Long tenantId;

    @Schema(description = "全路径名称")
    private String fullPathName;

    @Schema(description = "分类ids")
    private List<Long> ids;

    @Schema(description = "小程序产品分类id")
    private Long typeId;
}
