package com.yc.ship.module.resource.controller.admin.machine.vo;

import com.yc.ship.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static com.yc.ship.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;


@Schema(description = "管理后台 - 设备分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ScenicMachinePageReqVO extends PageParam {

    @Schema(description = "名称", example = "李四")
    private String name;

    @Schema(description = "通道ID", example = "4656")
    private Long channelId;

    @Schema(description = "设备类型", example = "2")
    private Integer machineType;

    @Schema(description = "设备状态", example = "1")
    private Integer machineStatus;

    @Schema(description = "设备ID", example = "13048")
    private String machineId;

    @Schema(description = "是否启用")
    private Long isUse;

    @Schema(description = "排序")
    private Integer sortNum;

    @Schema(description = "终端号")
    private String payTerminalCode;

    @Schema(description = "序列号")
    private String paySerialNum;

    @Schema(description = "序列号密文数据")
    private String paySecretText;

    @Schema(description = "应用程序版本号")
    private String payAppVersion;

    @Schema(description = "经度")
    private String payLongitude;

    @Schema(description = "纬度")
    private String payLatitude;

    @Schema(description = "pos终端号")
    private String posNo;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    /**
     * 是否可以编辑
     */
    @Schema(description = "是否可以编辑")
    private Integer isModify;

}
