package com.yc.ship.module.resource.controller.admin.productRoute.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 基础产品路线 Response VO")
@Data
@ExcelIgnoreUnannotated
public class ProductRouteRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "22002")
    private Long id;

    @Schema(description = "路线名称", example = "李四")
    @ExcelProperty("路线名称")
    private String name;

    @Schema(description = "开始点位")
    private Long startPoint;

    @Schema(description = "开始点位名称", example = "李四")
    @ExcelProperty("开始点位名称")
    private String startPointName;

    @Schema(description = "结束点位")
    private Long endPoint;

    @Schema(description = "结束点位名称", example = "王五")
    @ExcelProperty("结束点位名称")
    private String endPointName;

    @DictFormat("use_status")
    @ExcelProperty(value = "启用状态", converter = DictConvert.class)
    @Schema(description = "启用状态 0禁用 1启用", example = "1")
    private Integer useStatus;

    @ColumnWidth(20)
    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}