package com.yc.ship.module.resource.controller.admin.routepoint.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Schema(description = "管理后台 - 产品路线点位 Response VO")
@Data
@ExcelIgnoreUnannotated
public class RoutePointRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "27386")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "名称", example = "王五")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "简称", example = "李四")
    @ExcelProperty("简称")
    private String shortName;

    @Schema(description = "经度")
    @ExcelProperty("经度")
    private String longitude;

    @Schema(description = "维度")
    @ExcelProperty("维度")
    private String latitude;

    @Schema(description = "是否启用")
    @ExcelProperty("是否启用")
    private Integer useStatus;

    @Schema(description = "创建时间")
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}