package com.yc.ship.module.resource.controller.admin.supplier.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yc.ship.framework.excel.core.annotations.DictFormat;
import com.yc.ship.framework.excel.core.convert.DictConvert;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import static com.yc.ship.module.resource.enums.ErrorCodeConstants.SUPPLIER_TYPE;

/**
 * 用户 Excel 导入 VO
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = false)
public class SupplierImportExcelVO {

    @ExcelProperty("供应商名称")
    private String name;

    @ExcelProperty(value = "供应商类型", converter = DictConvert.class)
    @DictFormat(SUPPLIER_TYPE)
    private String type;

    @ExcelProperty("合作开始时间")
    private String cooperateStartTime;

    @ExcelProperty("合作结束时间")
    private String cooperateEndTime;
    @ExcelProperty("联系人")
    private String contactMan;

    @ExcelProperty("联系电话")
    private String contactPhone;

    @ExcelProperty("联系地址")
    private String contactAddress;

    @ExcelProperty("业务区域")
    private String businessArea;

}
