package com.yc.ship.module.resource.dal.dataobject.productRoute;

import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.yc.ship.framework.mybatis.core.dataobject.BaseDO;
import lombok.*;

/**
 * 基础产品路线 DO
 *
 * @author 管理员
 */
@TableName("product_route")
@KeySequence("product_route_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ProductRouteDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 路线名称
     */
    private String name;
    /**
     * 开始点位
     */
    private Long startPoint;
    /**
     * 开始点位名称
     */
    private String startPointName;
    /**
     * 结束点位
     */
    private Long endPoint;
    /**
     * 结束点位名称
     */
    private String endPointName;
    /**
     * 启用状态 0禁用 1启用
     */
    private Integer useStatus;

}