package com.yc.ship.module.resource.dal.mysql.route;

import java.util.*;

import com.yc.ship.framework.common.pojo.PageResult;
import com.yc.ship.framework.mybatis.core.query.LambdaQueryWrapperX;
import com.yc.ship.framework.mybatis.core.mapper.BaseMapperX;
import com.yc.ship.module.resource.dal.dataobject.route.ResourceRouteDO;
import org.apache.ibatis.annotations.Mapper;
import com.yc.ship.module.resource.controller.admin.route.vo.*;

/**
 * 航线管理 Mapper
 *
 * @author flycloud
 */
@Mapper
public interface ResourceRouteMapper extends BaseMapperX<ResourceRouteDO> {

    default PageResult<ResourceRouteDO> selectPage(ResourceRoutePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<ResourceRouteDO>()
                .likeIfPresent(ResourceRouteDO::getName, reqVO.getName())
                .eqIfPresent(ResourceRouteDO::getDirection, reqVO.getDirection())
                .eqIfPresent(ResourceRouteDO::getOnDockId, reqVO.getOnDockId())
                .eqIfPresent(ResourceRouteDO::getLeaveDockId, reqVO.getLeaveDockId())
                .eqIfPresent(ResourceRouteDO::getMidwayDockIds, reqVO.getMidwayDockIds())
                .eqIfPresent(ResourceRouteDO::getSort, reqVO.getSort())
                .eqIfPresent(ResourceRouteDO::getStatus, reqVO.getStatus())
                .orderByAsc(ResourceRouteDO::getSort)
                .orderByDesc(ResourceRouteDO::getId));
    }

}